Ubuntu

ImPS/2 ALPS GlidePoint configure as PS/2 mouse instead of proper touchpad

Reported by judeboden on 2011-04-13
518
This bug affects 103 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

On the Dell 15R. the touchpad is not recognised as a touchpad, it is recognised as a mouse.

$ cat /proc/bus/input/devices
[snip]
I: Bus=0011 Vendor=0002 Product=0005 Version=7326
N: Name="ImPS/2 ALPS GlidePoint"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input7
U: Uniq=
H: Handlers=mouse0 event7
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=103
[snip]

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jude 1571 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf7f00000 irq 54'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:111d76d1,102804b0,00100205 HDA:80862805,80860101,00100000'
   Controls : 18
   Simple ctrls : 10
CurrentDmesg:
 [ 35.342430] eth0: no IPv6 routers present
 [ 48.913433] EXT4-fs (sda5): re-mounted. Opts: errors=remount-ro,commit=0
Date: Wed Apr 13 20:11:55 2011
HibernationDevice: RESUME=UUID=9203eac6-4c4c-41c8-bf51-e18329de0e3f
InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Dell Inc. Inspiron N5110
ProcEnviron:
 LANGUAGE=
 LANG=en_IE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=64711ccc-07ea-40e8-ac9d-c9e7c40ca1f7 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.50
SourcePackage: linux
UpgradeStatus: Upgraded to natty on 2011-04-11 (1 days ago)
dmi.bios.date: 03/02/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.name: 034W60
dmi.board.vendor: Dell Inc.
dmi.board.version: A02
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd03/02/2011:svnDellInc.:pnInspironN5110:pvrNotSpecified:rvnDellInc.:rn034W60:rvrA02:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Inspiron N5110
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.

judeboden (judeboden) wrote :
judeboden (judeboden) wrote :

I have tried the latest daily kernel : http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/2011-04-13-natty/ as recommended by https://wiki.ubuntu.com/Kernel/MainlineBuilds?action=show&redirect=KernelTeam%2FMainlineBuilds

Unfortunately, that doesn't fix the problem.
It has disabled edge scrolling, which was working before.

Bas Grolleman (bgrolleman) wrote :

Have same issue on the Dell E4310 - Touchpad is detected as mouse.
Main impact, constant relocation of cursor while typing.

# uname -a
Linux bgrolleman 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Su Wen (sloe908) wrote :

I have the same issue with my Dell Inspiron N5110. My touchpad is also recognized as a mouse.

I tried this script and it seems able to work around the problem:
http://ubuntuforums.org/showpost.php?p=10651082&postcount=13

# uname -a
Linux ubuntu 2.6.38-8-generic-pae #42-Ubuntu SMP Mon Apr 11 05:17:09 UTC 2011 i686 i686 i386 GNU/Linux

$ cat /proc/bus/input/devices
[snip]
I: Bus=0011 Vendor=0002 Product=0005 Version=7326
N: Name="ImPS/2 ALPS GlidePoint"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input7
U: Uniq=
H: Handlers=mouse0 event7
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103
[snip]

Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
Ladislav Nesnera (nesnera) wrote :

This bug seems be tied with this one #550625. Or not?

Otto Kekäläinen (otto) wrote :

Yes, https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625 is related. There are also kernel bug reports like https://bugzilla.kernel.org/show_bug.cgi?id=14660 where they try to fix the new ALPS driver so that the device is recognized as a touchpad instead of a generic PS/2 mouse.

Since this device is in so many new laptops, including machines listed as Ubuntu certified hardware (like my Dell E5420) I really hope Canonical could prioritize working with ALPS to get this driver to work as a proper touchpad device.

Ladislav Nesnera (nesnera) wrote :

Re #6: I hope so. My Latitude E6410 has Ubuntu Certificate too ;?)

Yeah, this is biting me too, as of today. I just got my new work laptop--a Dell Latitude E6410 and the touchpad is unbearable with Ubuntu 11.04. Is there any kind of workaround or kernel patch to try? It's simple enough to disable the entire ALPS xinput device, but that leaves me with no mouse whatsoever instead of just being able to disable the touchpad and still use the pointing stick.

Anthony Batchelor (toeknee) wrote :
Cyril Buquet (cyril11) wrote :

Patch producted by dell refused in mainline
http://www.spinics.net/lists/linux-input/msg14242.html

Same on DELL E6510

Ilya G. Ryabinkin (ileyka) wrote :

I confirm the bug on Dell Latitude E5420. Basically, thouchpad is working, but no reation occurs on Fn-F5 pressing though a notification pops-up.

foxbunny (bg-branko) wrote :

Is this maybe relevant?

https://confluence.nau.edu/display/~<email address hidden>/Recognize+ALPS+Touchpad+on+Dell+E6510+in+Ubuntu

foxbunny (bg-branko) wrote :

Anyway, this same thing happens with DELL Inspiron N5110

Kev Clearwater (kevclearwater) wrote :

I believe this bug also affects my Inspiron 1545. No way to turn off tap-to-click.

ninjasinloaf (ninjasinloaf) wrote :

Definitely a problem on the Dell Inspiron M5030 (Unity2D, if that matters). The base of my thumb is constantly clicking some place other than where I'm typing. Sometimes, when I'm super coordinated, it'll highlight a patch of text and then I type over it! It's a pretty dramatic annoyance.

Same here. New laptop from work and finding the lack of touchpad options a little dangerous (tap-click on a menu while typing and end up typing through the menu options).

$ uname -a
Linux ubuntu 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

$ cat /proc/bus/input/devices
I: Bus=0011 Vendor=0002 Product=0005 Version=7326
N: Name="ImPS/2 ALPS GlidePoint"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input8
U: Uniq=
H: Handlers=mouse0 event8
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=103

David Cramer (david-thingbag) wrote :

@Brent Lundell: Yes, you will go insane if you don't fix it. This comment supplied me with the information I needed to disable tap-to-click:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625/comments/307

If you need instructions on applying the patch, see this blog post (but use the patch with the modification in bug 550625 @ comment 307, not the one he lists in the blog post):
http://budts.be/weblog/2010/12/dell-latitude-e6510-screen-and-touchpad

Note that you have to copy psmodule.ko over again after kernel updates. I REALLY wish this behaved better out of the box. It's a hard fix to track down and apply.

David

David, I just wanted to say THANK YOU for your reply (comment #17). I did as you suggested and now FINALLY the touchpad on my E6410 doesn't tap on touch anymore. Prior to this, I just absolutely could not use my work laptop with Ubuntu 11.04 on it because single-clicking would cause double-clicks (because the touchpad would also register a click), and it was just unusable. Anyway, thank you. =:)

Chris Chen (sibeliusop47) wrote :

I have the same issue with a new Dell Latitude E5520 that I bought about a month ago. Touchpad is recognized as a PS/2 Mouse, so I don't have a "Touchpad" setting under Mouse in System Settings (kubuntu natty) and can't access any touchpad features, although vertical scrolling does work.

/proc/bus/input/devices:
--------------------------------------------
I: Bus=0011 Vendor=0002 Product=0005 Version=7326
N: Name="ImPS/2 ALPS GlidePoint"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input7
U: Uniq=
H: Handlers=mouse0 event7
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=103

/var/log/Xorg.0.log:
-----------------------------------
[ 9.115] (II) config/udev: Adding input device ImPS/2 ALPS GlidePoint (/dev/input/event7)
[ 9.115] (**) ImPS/2 ALPS GlidePoint: Applying InputClass "evdev pointer catchall"
[ 9.115] (II) Using input driver 'evdev' for 'ImPS/2 ALPS GlidePoint'
[ 9.115] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 9.115] (**) ImPS/2 ALPS GlidePoint: always reports core events
[ 9.115] (**) ImPS/2 ALPS GlidePoint: Device: "/dev/input/event7"
[ 9.115] (--) ImPS/2 ALPS GlidePoint: Found 3 mouse buttons
[ 9.115] (--) ImPS/2 ALPS GlidePoint: Found scroll wheel(s)
[ 9.115] (--) ImPS/2 ALPS GlidePoint: Found relative axes
[ 9.115] (--) ImPS/2 ALPS GlidePoint: Found x and y relative axes
[ 9.115] (II) ImPS/2 ALPS GlidePoint: Configuring as mouse
[ 9.115] (II) ImPS/2 ALPS GlidePoint: Adding scrollwheel support
[ 9.115] (**) ImPS/2 ALPS GlidePoint: YAxisMapping: buttons 4 and 5
[ 9.115] (**) ImPS/2 ALPS GlidePoint: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 9.115] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input7/event7"
[ 9.115] (II) XINPUT: Adding extended input device "ImPS/2 ALPS GlidePoint" (type: MOUSE)
[ 9.115] (II) ImPS/2 ALPS GlidePoint: initialized for relative axes.
[ 9.115] (**) ImPS/2 ALPS GlidePoint: (accel) keeping acceleration scheme 1
[ 9.115] (**) ImPS/2 ALPS GlidePoint: (accel) acceleration profile 0
[ 9.115] (**) ImPS/2 ALPS GlidePoint: (accel) acceleration factor: 2.000
[ 9.115] (**) ImPS/2 ALPS GlidePoint: (accel) acceleration threshold: 4
[ 9.115] (II) config/udev: Adding input device ImPS/2 ALPS GlidePoint (/dev/input/mouse0)

Otto Kekäläinen (otto) on 2011-06-10
summary: - Dell 15R : ImPS/2 ALPS GlidePoint: Configuring as mouse
+ Several Ubuntu-certified Dell laptops: ImPS/2 ALPS GlidePoint configure
+ as PS/2 mouse instead of proper touchpad
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed

I am also affected Dell Inspiron N5110

http://pastie.org/2102493

uname -a
Linux **** 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

aa-hcl (aa476) wrote :

I have the same on Dell 6520.

touchpad works to some extend, i.e. I can scroll (only vertically though), tap to click works. But the stick and tocuhpad are recognised as one device:

ImPS/2 ALPS GlidePoint

I have the same on my old laptop Dell E5510.

It would be really nice to be able to disable the touchpad only and use the stick!
Or, at least configure the touchpad properly (i.e. as touchpad, not as a mouse).

uname -a:

Linux aa-i7 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Guillaume Gay (elagachado) wrote :

Hi

Just to signal the same problem here with an Inspiron 17R laptop. Touchpad is recognized as:
ImPS/2 ALPS GlidePoint

but is configured as a mouse.

Same issue on my Dell Precision M4500

Falcon1 (mike-valk) wrote :

Should this bug be a duplicate of bug 550625 or do they address different issues with the same erroneous result. Merge bugs perhaps?

Stan Schymanski (schymans) wrote :

They may be related, but the description of 550625 seem to focus on the loss of scroll support, while this here is about the false recognition of the touchpad as a mouse. On my Dell Latitude E6320, for example, scrolling works, but there is on way I can change any of the touchpad settings due to the wrong recognition of the touchpad as a mouse. It is also Ubuntu-"certified", whatever this means.

aa-hcl (aa476) wrote :

I have Dell E6520 and my problems is the same:

- vertical scrolling works
- tap to click works.

BUT:

1.
the dual touchpad (i.e. touch pad AND the stick) are recognised as "ImPS/2 ALPS GlidePoint" and I can not change ANY of the touchpad-specific properties (i.e. sensitivity).

2.
The tochpad and the stick are recognised as the same devices, therefore I can not disable the touchpad and use the stick, which is very unfortunate.

Ladislav Nesnera (nesnera) wrote :

Re: #27
Nice! I could not say it better (Dell E6410)

pauljohn32 (pauljohn) wrote :

The following bugs in launchpad are ALL versions of this same problem. ALPS has apparently pushed this secret device into lots of systems.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/678103

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/784965

https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/308191

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625

If somebody "in charge" would link all of these together, it seems we would make more progress.

The same issue/bug is discussed in the RedHat bug tracker here:

https://bugzilla.redhat.com/show_bug.cgi?id=590880

Gentoo

http://bugs.gentoo.org/show_bug.cgi?id=318567

And the Linux kernel

https://bugzilla.kernel.org/show_bug.cgi?id=14660

sergiomb (sergio-sergiomb) wrote :

Re: #28
+ 1

but have we any ALPS Glide Point that isn't configured as PS/2 ? or that works properly ?

sillyxone (sillyxone) wrote :

Re: #27

the patch, even with alps_ec_write() mod is not working for me (E6420 on 11.04, 2.6.38-10-generic-pae). Nothing changes (tap-to-click still works) with the patched psmouse.ko

sillyxone (sillyxone) wrote :

from the Fedora bug tracking (https://bugzilla.redhat.com/show_bug.cgi?id=590880#c75), it looks like Alps refused to release the specs, and will instead release their proprietary drivers soon.

Hopefully it'll be easier to reverse-engineer with their proprietary drivers.

François Isabelle (isabellf) wrote :

For those who like me only want to be able to toggle the touchpad on and off ( on my vostro 3750 )

1 - get device id with:

:~$ xinput -list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Logitech USB Receiver id=13 [slave pointer (2)]
⎜ ↳ ImPS/2 ALPS GlidePoint id=15 [slave pointer (2)]

2- disable device with:

xinput set-int-prop 15 "Device Enabled" 8 0

if you need it back use:
xinput set-int-prop 15 "Device Enabled" 8 1

Ladislav Nesnera (nesnera) wrote :

Re: #33
Just note: It would be fine have in mind there are HW solutions
with PointStick (Latitude E6410) - http://fotomag.com.ua/stat/tg/AE/165806/11.jpg
and without (Vostro 3750) - http://www.bitdynasty.com/images/comparison/notebooks/Dell/dell-vostro-3750-brownd.jpg
Unfortunately touchpad and PointStick (http://en.wikipedia.org/wiki/Trackpoint#Naming_and_brands) are the same device for xinput therefore François's way turn on/off both

xinput -list (Latitude E6410)
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ImPS/2 ALPS GlidePoint id=11 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=10 [slave keyboard (3)]
    ↳ Dell WMI hotkeys id=12 [slave keyboard (3)]

Jim Ramsay (i-am) wrote :

I wrote this little python script that lets me use the touchpad enable/disable FN key on my wife's Dell 15R. It watches the gconf setting normally used by touchpads (/desktop/gnome/peripherals/touchpad/touchpad_enabled) and uses the same xinput mechanism described above based on the state of that gconf setting.

Requires that you install the 'python-gtk2' package.

To invoke, download as 'touchpad.py' and run it.

For example, in a terminal:
  chmod +x ./touchpad.py
  ./touchpad.py&

Jim Ramsay (i-am) wrote :

I wrote this little python script that lets me use the touchpad enable/disable FN key on my wife's Dell 15R. It watches the gconf setting normally used by touchpads (/desktop/gnome/peripherals/touchpad/touchpad_enabled) and uses the same xinput mechanism described above based on the state of that gconf setting.

Requires that you install the 'python-gtk2' package.

To invoke, download as 'touchpad.py' and run it.

For example, in a terminal:
  chmod +x ./touchpad.py
  ./touchpad.py&

Stan Schymanski (schymans) wrote :

Jim, thanks for that, works perfectly on my Dell Latitude E6320. I'll add the script to my startup.

sillyxone (sillyxone) wrote :

thanks, Jim, for the script. Somehow on my E6420, the touchpad is recognized as DualPoint instead of GlidePoint (I think I messed with alps.c along the way), a small modification to the script fixes it. That should prevent accidents while typing long messages for now.

MikeE (mechevar21) wrote :

Want to add that I confirmed this bug as well with a Dell Latitude E6510.

ImPS/2 ALPS GlidePoint id=12 [slave pointer (2)]

Nacho Coloma (icoloma) wrote :

Confirmed as well on Dell Vostro 3550 with same output

ImPS/2 ALPS GlidePoint id=12 [slave pointer (2)]

Fabi (fcurti) wrote :

On Vostro 3500 with Ubuntu 11.04...
The touchpad tab appers under Mouse in System Settings..
Disable it while typing does nothing (snif)
Disable clicks works ok (GREAT save my life this one :) )
Scrolling (all options) works ok
The fn key + F6 (for 3500) doesn't work (do nothing, no notifications popups, no nothing...

Duleep (ywdduleep) wrote :

same here i'm using Dell vostro 3550. my laptop touchpad det as a mouse.

Gaurav Padia (gaurav-padia14u) wrote :

same here in Dell Inspiron 15R N5110.... can anybody tell when this bug can be resolved ?

Raghu (iamraghavendra) wrote :

Here is a patch. It does not make touchpad to be recognized as touchpad, it is still recognized as mouse. But tap to click is disabled while typing.

http://patchlog.com/linux/fix-inspiron-n7110-alps-touchpad-in-ubuntu/

cement_head (andor-udel) wrote :

Patch failed to apply.

From Terminal:

$ patch < syndaemon-mouse.diff
patching file syndaemon.c
Hunk #1 FAILED at 66.
Hunk #2 succeeded at 114 (offset -3 lines).
Hunk #3 succeeded at 454 (offset -3 lines).
Hunk #4 FAILED at 527.
Hunk #5 succeeded at 551 with fuzz 2 (offset -6 lines).
Hunk #6 succeeded at 600 (offset -6 lines).
2 out of 6 hunks FAILED -- saving rejects to file syndaemon.c.rej

Attaching the syndaemon.c.rej file

Mihai Secasiu (mihai-patchlog) wrote :

you're probably trying to patch a different version but it looks like most of it succeeded. It's pretty easy to apply the remaining two patches from the .rej file.

cement_head (andor-udel) wrote :

@Mihai

I've fixed the patch to work with Maverick & the XORG EDGERS PPA repos (attached). However, the configure && make && make install fails. In fact, there is NO configure file at all...

Help would be required. How do I compile and install this?

- CH

cement_head (andor-udel) wrote :

Here's what is in the directory (attached). Should I try the autogen.sh script?

Mihai Secasiu (mihai-patchlog) wrote :

autogen.sh should do it but you'll probably have to install xutils-dev before you run it.

Ladislav Nesnera (nesnera) wrote :

Re: cement_head
Hi
Before I'll try to apply our patch I have a question. Is your patch solution for this post #27 - especially point #2? If yes I'll be absolutely happy man ;?)

cement_head (andor-udel) wrote :

@Ladislav Nesnera

It's not my patch, I've modified it for Maverick Meerkat. The Patch comes from POST #44 this thread (http://patchlog.com/linux/fix-inspiron-n7110-alps-touchpad-in-ubuntu/).

However, the patch barfs because as @Mihai Secaisu pointed out, xutils-dev places xorg-macros in the WRONG place and therefore doesn't compile.

See this thread here for a discussion of the wrong placement: http://ubuntuforums.org/showthread.php?p=9405955

- CH

Brad Heap (nzv8fan) wrote :

No go on the patch for me:

brad@brad-dell:~/synaptics/xserver-xorg-input-synaptics-1.3.99+git20110116.0e27ce3a$ sudo patch < ~/Downloads/syndaemon-mouse.diff
patching file syndaemon.c
Hunk #1 FAILED at 66.
Hunk #2 FAILED at 117.
Hunk #3 FAILED at 457.
Hunk #4 FAILED at 519.
Hunk #5 FAILED at 549.
Hunk #6 FAILED at 595.
6 out of 6 hunks FAILED -- saving rejects to file syndaemon.c.rej

Brad Heap (nzv8fan) wrote :

Cancel that previous message I didn't go into the tools folder.... compiling now... and things seem to be working... this is a big improvement. However, the mouse is still very twitchy when moving it around the screen via the touch pad.

cement_head (andor-udel) wrote :

I think you have to then install the entire synpatics driver. Did you do that?

Anybody can write a version of Jim's script for KDE (comment #36)? Apparently, in gnome the /desktop/gnome/peripherals/touchpad/touchpad_enabled gconf setting is modified when the touchpad function key (Fn-F5 on my Dell E6420) is pressed. What happens in KDE and how to write a callback for that?

David Cramer (david-thingbag) wrote :

You all might be interested in this comment on bug #550625:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625/comments/329

Read the following comments to where people report on their results of testing with the package. Apparently it works best with Oneric.

David

I modified Jim's script. Basically I added a toggle function that queries the current enabled/disabled state and toggles it. Simple. The trick is then to tell KDE to call that script whenever a certain combo is pressed: System Settings > Shortcuts And Gestures > Custom Shortcuts, then right click > New > Global Shortcut > Command/URL, the rest is simple.

Here is the script: http://pastebin.com/0HfByCc5

sillyxone (sillyxone) wrote :

thanks Mihai and cement_head, I applied the patch for Maverick and it works very well, although the delay after after typing (1 second) is still a litte too long for me :-) This is an ingenious work-around, kudos to Mihai.

Just in case somebody couldn't apply the patch in Maverick, the current version in Maverick is 1.22, and the patch won't be able to apply. I downloaded version 1.3.99 as mentioned on Mihai's blog (in the comment) instead:

http://patchlog.com/xserver-xorg-input-synaptics-1.3.99+git20110116.0e27ce3a.tar.gz

cement_head's patch for Maverick didn't go through completely (FAILED at 67 and and 527) but adding the declaration to isMouse and changing the while loop manually was easy.

cement_head (andor-udel) wrote :

@sillyxone

it compiles, but then barfs - can't install

test -z "/usr/include/xorg" || /bin/mkdir -p "/usr/include/xorg"
 /usr/bin/install -c -m 644 synaptics.h synaptics-properties.h '/usr/include/xorg'
/usr/bin/install: cannot create regular file `/usr/include/xorg/synaptics.h': Permission denied
/usr/bin/install: cannot create regular file `/usr/include/xorg/synaptics-properties.h': Permission denied
make[2]: *** [install-sdkHEADERS] Error 1

cement_head (andor-udel) wrote :

got it

sudo ./configure && sudo make && sudo make install

sillyxone (sillyxone) wrote :

actually only the last step (make install) that requires sudo, as it makes changes to the system. Compiling (configure and make) only make changes to the working directory.

BTW, after experimenting with the delay timeout (-i option), I found that 0.5 sometimes makes the cursor frozen. In the end, "-i 0.6" works best for me.

cement_head (andor-udel) wrote :

Okay, so I put that command in a file (attached) , made it hidden & executable and linked it to my STARTUP APPLICATIONS. The 0.6 delay seems useful.

Now I don't have to constantly be buggering with the accidental right click.

The attachment "Patch for Maverick Meerket (XORG Edgers PPA)" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

have to thank Mihai again for applying the new behavior (disable/enable) selectively to the internal touchpad only. I use keyboard shortcuts a lot in Blender. Instead of having to reload syndaemon with diferent settings (-s param) everytime I use Blender, I just use the external mouse instead (which I prefer anyway).

Robert (ubuntu-10-rmn30) wrote :

I believe I am experiencing this bug on a Compaq Mini 311c netbook. Tap to click works but not edge scrolling or disable while typing which as other users have pointed out is very frustrating! I've attached output of xinput list for info.

Robert (ubuntu-10-rmn30) wrote :

Forgot to say that I first noticed edge scrolling disappear at some point during the Natty development cycle after a kernel upgrade.

André (aedgsilva) on 2011-10-09
tags: added: blocks-hwcert
Stan Schymanski (schymans) wrote :

Until someone changes the title of #550625 to reflect that it includes cases where the Alps touchpad is NOT recognised at all, I do not see how this can be a duplicate. I have seen #550625 before, but I could not even tell that I am affected because the title says that the touchpad is recognised BUT...
I'm confused.

Stan Schymanski (schymans) wrote :

OK, just to confirm, https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625/comments/492 solved it for me, and my Alps touchpad is now recognised AND seems to work correctly. Great work by Seth!

Brad Heap (nzv8fan) wrote :

Confirming that the patch in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625/comments/492 also works for me.

Clark C. Evans (clarkevans) wrote :

The patch above (for #550652) that seems to be working for other people has not resolved my situation. The tracpad is still not recognized and my laptop is quite unusable. Attached is my xorg log before and after.

Clark C. Evans (clarkevans) wrote :

This reported bug *is* different from #550625 and I am still affected.
I have a Dell E6510 and am running Oneiric. It's not that my
trackpad is recognized and mis-behaving, which is what bug #550625
is about. Instead, it's not even recognized. The work-around I
currently use is to disable the "mouse" when I'm typing, and then
re-enable it when I'm done (using xmonad key binding).

I installed the patch above (for #550625) and it does *NOT* solve
my problem -- the tracpad is still unrecognized. What is really
irritating is that simply floating *over* the tracpad seems to
cause irratic behavior (similar to what is reported in #550625).

From uname:

   Linux cantor 3.0.0-12-generic-pae #20-Ubuntu SMP Fri Oct 7 16:37:17 UTC 2011 i686 i686 i386 GNU/Linux

From dmesg:

    [ 34.975718] alps.c: Enabled hardware quirk, falling back to psmouse-core
    [ 34.988518] input: ImPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input12

From /var/log/xorg.1.log

    [ 2083.716] (II) config/udev: Adding input device ImPS/2 ALPS
    GlidePoint (/dev/input/
    event7)
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: Applying InputClass "evdev
    pointer catchall"
    [ 2083.716] (II) Using input driver 'evdev' for 'ImPS/2 ALPS
    GlidePoint'
    [ 2083.716] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: always reports core events
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: Device: "/dev/input/event7"
    [ 2083.716] (--) ImPS/2 ALPS GlidePoint: Found 3 mouse buttons
    [ 2083.716] (--) ImPS/2 ALPS GlidePoint: Found scroll wheel(s)
    [ 2083.716] (--) ImPS/2 ALPS GlidePoint: Found relative axes
    [ 2083.716] (--) ImPS/2 ALPS GlidePoint: Found x and y relative axes
    [ 2083.716] (II) ImPS/2 ALPS GlidePoint: Configuring as mouse
    [ 2083.716] (II) ImPS/2 ALPS GlidePoint: Adding scrollwheel support
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: YAxisMapping: buttons 4 and 5
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: EmulateWheelButton: 4,
    EmulateWheelInertia:
    10, EmulateWheelTimeout: 200
    [ 2083.716] (**) Option "config_info"
    "udev:/sys/devices/platform/i8042/serio1/input/
    input7/event7"
    [ 2083.716] (II) XINPUT: Adding extended input device "ImPS/2 ALPS
    GlidePoint" (type:
     MOUSE)
    [ 2083.716] (II) ImPS/2 ALPS GlidePoint: initialized for relative axes.
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: (accel) keeping acceleration
    scheme 1
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: (accel) acceleration profile 0
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: (accel) acceleration factor:
    2.000
    [ 2083.716] (**) ImPS/2 ALPS GlidePoint: (accel) acceleration
    threshold: 4
    [ 2083.717] (II) config/udev: Adding input device ImPS/2 ALPS
    GlidePoint (/dev/input/
    mouse0)
    [ 2083.717] (II) No input driver/identifier specified (ignoring)

Ed S (ed-spittles) wrote :

Clark Evans suggests in Bug 550625 that this bug is not a duplicate of that one, and is likely to be a duplicate of Bug 606238.

If anyone with the symptoms on this bug can confirm that the fix in the DKMS package attached to comment 492 on Bug 550625 does not help, and could report the E6 and E7 IDs and, generally, the results they get, perhaps they could remove the duplicate connection to 550625 (click the yellow exclamation mark in the top left panel)

If they believe, as Clark does, that this ticket is a duplicate of Bug 606238, they should fill that in instead.

Koen (koen-hendrickx) wrote :

I have a Dell 15R (N5110).
I'm using Kubuntu 11.10 64bit.
I can confirm that the patch from comment 492 on Bug 550625 does not work for me.
When i read bug 606238, this is more likely what i have.

Brad Heap (nzv8fan) wrote :

It is odd that I also have a Dell 15R (N5110) Ubuntu 11.10 x64 and comment 492 worked for me, but the above poster with the same hardware it doesn't. Is it possible that one of us is missing additional synaptics packages or something?

Donatas Burba (d.burba) wrote :

Everything works OK, but indicator icons are wrong: when touchpad is enabled, "disabled" icon is showed up and when touchpad is disabled - icon representing "enabled" mode is flashed.

quarara (classic-art-showcase) wrote :

I own a Dell Inspiron 15r n5110 too, but the patch doesn't work for me neither.

I have a Dell Inspiron 15r n5110 as well. I have modified the patch I found here

http://people.canonical.com/~sforshee/alps-touchpad/psmouse-alps-0.10

and now it recognizes my mouse as a touchpad.

When loading the original patched psmouse.ko, it reports for my trackpad:

alps.c: E6 report: 00 00 64
alps.c: E7 report: 73 03 50

After adding an entry in alps.c for 0x73, 0x03 , 0x50 and recompiling the module it works.

I have copied the entry for the dell vostro 1400, and changed the 0x02 to 0x03. I don't know yet if the other settings are OK for my touchpad, but at least it is detected as such...

Cif (cifvts) wrote :

The patch from https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625/comments/492 works for me, now I can disable/enable trackpad using [Fn + F3] on my Dell Vostro 3750 with Ubuntu 11.10

quarara (classic-art-showcase) wrote :

Unfortunately that patch doesn't work for everybody out there yet :/

EdgarPE (edgarpe) wrote :

The .deb package linked in comment #78 works like perfectly. Fn+F3 enables and disables the touchpad, and in System > Preferences > Mouse now I have the Touchpad tab with the usual settings.

Thank you very much!

Comment:
 https://bugs.launchpad.net/ubuntu/+source/linux/+bug/760142/comments/78

Deb package:
http://people.canonical.com/~sforshee/alps-touchpad/psmouse-alps-0.10/psmouse-alps-dkms_0.10_all.deb

Ubuntu:
11.04

System:
Dell E6420

nebula (i-nebula) wrote :

ok, and now tell us how to do it too.. please. starters must make it to, not only those who know how to do it. this is the purpose of a discussion like this..

EdgarPE (edgarpe) wrote :

I don't know if it works for everyone, but worked for me, and doing it was very simple:

1) Download the .deb package linked above
2) Double click on it and install
3) Restart
4) Now you have the usual Touchpad tab on System > Preferences > Mouse settings window.

Ian Ozsvald (ian-x88) wrote :

Agreeing with #83 - on my Dell E6420 with 11.10 (Linux Mint 12 with NVS4200M) I just downloaded and installed the .deb from #81, rebooted and then I saw the Touchpad tab in Mouse and Settings - two finger scrolling and disable-pad-whilst-typing are now enabled. Yay! Thank you!

eXP-user (madek) wrote :

#78 - the package doesn't work on Ubuntu 10.10 32bit on Dell E6420 (OS preinstalled by Dell).

dkms make.log:

  LD /var/lib/dkms/psmouse-alps/0.10/build/src/built-in.o
  CC [M] /var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.o
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:44: error: variable ‘param_ops_proto_abbrev’ has initializer but incomplete type
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:45: error: unknown field ‘set’ specified in initializer
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:45: warning: excess elements in struct initializer
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:45: warning: (near initialization for ‘param_ops_proto_abbrev’)
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:46: error: unknown field ‘get’ specified in initializer
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:46: warning: excess elements in struct initializer
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:46: warning: (near initialization for ‘param_ops_proto_abbrev’)
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:49: error: ‘param_set_proto_abbrev’ undeclared here (not in a function)
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:49: error: ‘param_get_proto_abbrev’ undeclared here (not in a function)
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c: In function ‘psmouse_attr_set_protocol’:
/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.c:1587: error: ‘struct serio’ has no member named ‘children’
make[2]: *** [/var/lib/dkms/psmouse-alps/0.10/build/src/psmouse-base.o] Error 1
make[1]: *** [/var/lib/dkms/psmouse-alps/0.10/build/src] Error 2
make: *** [_module_/var/lib/dkms/psmouse-alps/0.10/build] Error 2

Justin Young (mathman316) wrote :

Agree with #83 (and #84): patch works for me.

Dell Latitude E6510 (ALPS touchpad)
Ubuntu 11.04

laulau (olaulau) wrote :

the oatch works fine on a Dell lattitude E6420 with ALPS touchpad, ubuntu 11.10 x64
thanks !

Download full text (3.5 KiB)

Not working on fell inspiron n5110:
On 31 Dec 2011 01:05, "Justin Young" <email address hidden> wrote:

> *** This bug is a duplicate of bug 606238 ***
> https://bugs.launchpad.net/bugs/606238
>
> Agree with #83 (and #84): patch works for me.
>
> Dell Latitude E6510 (ALPS touchpad)
> Ubuntu 11.04
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/760142
>
> Title:
> Several Ubuntu-certified Dell laptops: ImPS/2 ALPS GlidePoint
> configure as PS/2 mouse instead of proper touchpad
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> On the Dell 15R. the touchpad is not recognised as a touchpad, it is
> recognised as a mouse.
>
> $ cat /proc/bus/input/devices
> [snip]
> I: Bus=0011 Vendor=0002 Product=0005 Version=7326
> N: Name="ImPS/2 ALPS GlidePoint"
> P: Phys=isa0060/serio1/input0
> S: Sysfs=/devices/platform/i8042/serio1/input/input7
> U: Uniq=
> H: Handlers=mouse0 event7
> B: PROP=0
> B: EV=7
> B: KEY=70000 0 0 0 0
> B: REL=103
> [snip]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: linux-image-2.6.38-8-generic 2.6.38-8.42
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jude 1571 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'PCH'/'HDA Intel PCH at 0xf7f00000 irq 54'
> Mixer name : 'Intel CougarPoint HDMI'
> Components : 'HDA:111d76d1,102804b0,00100205
> HDA:80862805,80860101,00100000'
> Controls : 18
> Simple ctrls : 10
> CurrentDmesg:
> [ 35.342430] eth0: no IPv6 routers present
> [ 48.913433] EXT4-fs (sda5): re-mounted. Opts:
> errors=remount-ro,commit=0
> Date: Wed Apr 13 20:11:55 2011
> HibernationDevice: RESUME=UUID=9203eac6-4c4c-41c8-bf51-e18329de0e3f
> InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64
> (20101007)
> MachineType: Dell Inc. Inspiron N5110
> ProcEnviron:
> LANGUAGE=
> LANG=en_IE.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic
> root=UUID=64711ccc-07ea-40e8-ac9d-c9e7c40ca1f7 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-2.6.38-8-generic N/A
> linux-backports-modules-2.6.38-8-generic N/A
> linux-firmware 1.50
> SourcePackage: linux
> UpgradeStatus: Upgraded to natty on 2011-04-11 (1 days ago)
> dmi.bios.date: 03/02/2011
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A02
> dmi.board.name: 034W60
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A02
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: Not Specifi...

Read more...

The python scripts of bricedebrignaisplage and Jim Ramsay didn't work for me. I was not in the mood for troubleshooting (I'm sure the problem is not with the scripts, but rather with my installation of python or something!), so I wrote a short script to toggle the touchpad on and off:

#!/bin/bash

# toggle touchpad on/off using xinput

# get device id
ID=$(xinput -list | grep GlidePoint | awk '{ print substr($6,4,2) }')
#echo "ID = $ID"

# read state of device
STATE=$(xinput -list-props $ID | grep 'Device Enabled' | awk '{ print $4 }')
#echo "STATE = $STATE"

# change to other state
if [ $STATE = 0 ]; then
# echo "switching touchpad on"
  xinput set-int-prop $ID "Device Enabled" 8 1
elif [ $STATE = 1 ]; then
# echo "switching touchpad off"
  xinput set-int-prop $ID "Device Enabled" 8 0
else
echo "Error!"
fi
exit 0

Mihai Stancu (mihai.stancu) wrote :

Hey,

I had the same problem on a "Dell Inspiron 17R N7110".

My touchpad was identified as a mouse "ImPS/2 ALPS GlidePoint" and tap-to-click was driving me nuts I didn't realize that it was treating my touchpad as a mouse until today (i've had the laptop for about a year) i just thought the driver "wasn't perfect".

I was looking for a better driver to be able to use advanced touchpad features like two-finger scrolling, pinch zooming and twist rotate.

The solution i'm attaching is the driver i found here: http://ubuntuforums.org/showthread.php?t=1887683 .

After installing this i got a "touchpad" tab in the "Mouse and Touchpad" settings panel and i could enable "two-finger scrolling".

Unfortunatly there was no pinch zooming option or twist rotate option but at least it fixed the annoying accidental tap-to-clicks and i've got two-finger scrolling enabled!

kkraju4u (kkraju4u) wrote :

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/760142/comments/78
#78 worked for me.
Dell inspiron n5110 ubuntu 11.10

wolfen69 (wolfen69) wrote :

I have a Dell Latitude E5520 and can't turn off my touchpad. FN+F5 brings up a pop up indicating the touchpad is disabled, but it is not. Using ubuntu 11.10 64bit.

Maurits van Dueren (cybermaus) wrote :

#78 worked for me too (oh happy days) on Dell E6520

MAHMOUDI Ahmed (mahmoudiahm) wrote :

Hello everyone, please "Rik Theys" tell us how to do exactly with the alps driver and the patchs to resolve this problem, i'm waiting for a response please

Sorbing (svbutsenko) wrote :

I have a latitude E5530. Does not work on the touchpad scroll The driver does not help.
Virtual core pointer id=2 [master pointer (3)]
  ↳ PS/2 Generic Mouse id=14 [slave pointer (2)]

As Sorbing, the touchpad isn't visible on my Latitude E6230.
$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]

I can move the pointer with the touchpad, but I can't use scrollbars and I can't use the configuration tool in system settings of Kubuntu.

Ruben Gomez (rgagudo) wrote :

Hi people I own a Dell Inspiron SE and I've found a straightforward tutorial to solve this issue (already solved for me), hope it get merged into Ubuntu soon, enjoy!

http://nwoki.wordpress.com/2012/10/02/multitouch-fix-for-alps-touchpad/

Hahnsolo (coreyhahn) wrote :

I have a dell Latitude E5530 and the alps patches on this page did not work for me. The touchpad becomes unresponsive after loading the patched psmouse. Same as Sorbing.

Nic (computerdude-1500) on 2013-04-12
description: updated
LektorVis (lektorvis) wrote :

This problem still exist on Latitude E5530_

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
Device 'PS/2 Generic Mouse':
        Device Enabled (132): 1
        Coordinate Transformation Matrix (134): 1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
        Device Accel Profile (255): 0
        Device Accel Constant Deceleration (256): 1.000000
        Device Accel Adaptive Deceleration (257): 1.000000
        Device Accel Velocity Scaling (258): 10.000000
        Device Product ID (251): 2, 1
        Device Node (252): "/dev/input/event15"
        Evdev Axis Inversion (259): 0, 0
        Evdev Axes Swap (261): 0
        Axis Labels (262): "Rel X" (142), "Rel Y" (143)
        Button Labels (263): "Button Left" (135), "Button Middle" (136), "Button Right" (137), "Button Wheel Up" (138), "Button Wheel Down" (139)
        Evdev Middle Button Emulation (264): 0
        Evdev Middle Button Timeout (265): 50
        Evdev Third Button Emulation (266): 0
        Evdev Third Button Emulation Timeout (267): 1000
        Evdev Third Button Emulation Button (268): 3
        Evdev Third Button Emulation Threshold (269): 20
        Evdev Wheel Emulation (270): 0
        Evdev Wheel Emulation Axes (271): 0, 0, 4, 5
        Evdev Wheel Emulation Inertia (272): 10
        Evdev Wheel Emulation Timeout (273): 200
        Evdev Wheel Emulation Button (274): 4
        Evdev Drag Lock Buttons (275): 0
*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*

judeboden, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

summary: - Several Ubuntu-certified Dell laptops: ImPS/2 ALPS GlidePoint configure
- as PS/2 mouse instead of proper touchpad
+ ImPS/2 ALPS GlidePoint configure as PS/2 mouse instead of proper
+ touchpad
no longer affects: linux (Ubuntu)
affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Medium → Undecided
status: Confirmed → New
importance: Undecided → Low
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.